#!/bin/bash

WID=`xprop -root | grep "_NET_ACTIVE_WINDOW(WINDOW)" | cut -d# -f2 | cut -d, -f1`

xprop -id $WID | grep -v "CUT_BUFFER" | grep "_NET_WM_WINDOW_TYPE_DESKTOP" > /dev/null
IS_DESKTOP=$?

xprop -id $WID > /dev/null
IS_NO_WINDOW=$?

if [ $IS_DESKTOP == 0 ] || [ $IS_NO_WINDOW != 0 ]
then
    lxsession-logout
else
    WID=`xprop -root | grep "_NET_ACTIVE_WINDOW(WINDOW)" | cut -d# -f2 | cut -d, -f1`
    wmctrl -ic $WID
    notify-send -t 1 -i stock_close Closed
fi

